<refreshable-panel [dataProvider]="this">
    <refreshable-panel-header [title]="'Messages'"></refreshable-panel-header>
    <refreshable-panel-content>
        <refreshable-panel-actions [dataProvider]="this">
            <form autocomplete="off" #messageCreator="ngForm" (submit)="send()">
                <div class="container-fluid">
                    <div class="row">
                        <h4> {{ "SendMessage" | localize }}:</h4>
                        <div class="col-12 col-lg-7">
                            <mat-form-field>
                                <mat-select [required]=true name="selectedTarget" [(ngModel)]="selectedTarget">
                                    <mat-option *ngFor="let target of targets" [value]="target">
                                        {{ target.name }}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                            <mat-form-field>
                                <textarea matInput [placeholder]="'ReplyText' | localize" name="replyText" required
                                    [(ngModel)]="newPrivateMessage.text"></textarea>
                            </mat-form-field>
                            <input type="file" name="attachedFiles" multiple (change)="onFileChange($event)" />
                        </div>
                        <div class="col-12 col-lg-5">
                            <button mat-button type="submit" color="primary" class="btn btn-default"
                                [disabled]="!messageCreator.form.valid || sending">
                                {{ "Send" | localize }}
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </refreshable-panel-actions>
        <ul class="list-group">
            <li class="list-group-item" *ngFor="let message of messages">
                <p>
                    <strong> {{ "Sender" | localize }} </strong> {{ message.senderName }}
                </p>
                <p>
                    <strong> {{ "Target" | localize }} </strong> {{ message.targetName }}
                </p>
                <p>
                    <strong> {{ "Date" | localize }} </strong> {{ message.dateCreated }}
                </p>
                <p class="well well-sm">
                    {{ message.text }}
                </p>
                <a class="btn btn-default" [routerLink]="[routerLink, message.id]">
                    {{ "ReadMore" | localize }}
                </a>
            </li>
        </ul>
    </refreshable-panel-content>
</refreshable-panel>
